From eb472ad8374de83fcec8d7899a554c7372ec1853 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 02 2021 03:40:19 +0000
Subject: [PATCH 1946/2232] Remove unused Impl hashing impls


These used to be for a HashSet<&Impl> held by Types, which has since
been refactored into a different data structure.

---

diff --git a/syntax/impls.rs b/syntax/impls.rs
index ae4a77d..3a0b3e0 100644
--- a/syntax/impls.rs
+++ b/syntax/impls.rs
@@ -1,5 +1,5 @@
 use crate::syntax::{
-    Array, ExternFn, Impl, Include, Lifetimes, Receiver, Ref, Signature, SliceRef, Ty1, Type, Var,
+    Array, ExternFn, Include, Lifetimes, Receiver, Ref, Signature, SliceRef, Ty1, Type, Var,
 };
 use std::hash::{Hash, Hasher};
 use std::mem;
@@ -395,45 +395,3 @@ impl Hash for Receiver {
         ty.hash(state);
     }
 }
-
-impl Hash for Impl {
-    fn hash<H: Hasher>(&self, state: &mut H) {
-        let Impl {
-            impl_token: _,
-            generics,
-            negative,
-            ty,
-            brace_token: _,
-            negative_token: _,
-        } = self;
-        generics.hash(state);
-        if *negative {
-            negative.hash(state);
-        }
-        ty.hash(state);
-    }
-}
-
-impl Eq for Impl {}
-
-impl PartialEq for Impl {
-    fn eq(&self, other: &Impl) -> bool {
-        let Impl {
-            impl_token: _,
-            generics,
-            negative,
-            ty,
-            brace_token: _,
-            negative_token: _,
-        } = self;
-        let Impl {
-            impl_token: _,
-            generics: generics2,
-            negative: negative2,
-            ty: ty2,
-            brace_token: _,
-            negative_token: _,
-        } = other;
-        generics == generics2 && negative == negative2 && ty == ty2
-    }
-}

